Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517115 - Fix upstream pgjdbc so it builds on Fedora Rawhide again
Summary: Fix upstream pgjdbc so it builds on Fedora Rawhide again
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql-jdbc
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1517363
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 09:08 UTC by Pavel Raiskup
Modified: 2018-04-20 11:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 11:00:34 UTC


Attachments (Terms of Use)

Description Pavel Raiskup 2017-11-24 09:08:58 UTC
Upstream pgjdbc fails to build after [1] pull request.  That adds two more
dependencies (maven-shade-plugin) and (com.ongres.scram), that's afaik
not yet in Fedora and we need to analyse whether we can include it, or
we rather have to work on build-time condition.

[1] https://github.com/pgjdbc/pgjdbc/pull/982

Comment 1 Fedora End Of Life 2018-02-20 15:31:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Pavel Raiskup 2018-04-20 11:00:34 UTC
Blocking bug is resolved (ongres-scram package added), and this is
fixed in F28+.


Note You need to log in before you can comment on or make changes to this bug.